import UITypes from '../UITypes';
import { IDType } from './index';
export declare class MysqlUi {
    static getNewTableColumns(): readonly any[];
    static getNewColumn(suffix: any): {
        column_name: string;
        dt: string;
        dtx: string;
        ct: string;
        nrqd: boolean;
        rqd: boolean;
        ck: boolean;
        pk: boolean;
        un: boolean;
        ai: boolean;
        cdf: any;
        clen: number;
        np: any;
        ns: any;
        dtxp: string;
        dtxs: string;
        altered: number;
        uidt: string;
        uip: string;
        uicn: string;
    };
    static getDefaultLengthForDatatype(type: any): any;
    static getDefaultLengthIsDisabled(type: any): any;
    static getDefaultValueForDatatype(type: any): any;
    static getDefaultScaleForDatatype(type: any): any;
    static colPropAIDisabled(col: any, columns: any): boolean;
    static colPropUNDisabled(col: any): boolean;
    static onCheckboxChangeAI(col: any): void;
    static onCheckboxChangeAU(col: any): void;
    static showScale(columnObj: any): boolean;
    static removeUnsigned(columns: any): void;
    static columnEditable(colObj: any): boolean;
    static colPropAuDisabled(_col: any): boolean;
    static getUIType(col: any): any;
    static getAbstractType(col: any): any;
    static getDataTypeForUiType(col: {
        uidt: UITypes;
        dtxp?: string;
        colOptions?: any;
    }, idType?: IDType): any;
    static getDataTypeListForUiType(col: any, idType?: IDType): string[];
    static getUnsupportedFnList(): string[];
}
