import { NormalColumnRequestType } from '../Api';
import UITypes from '../UITypes';
import { IDType } from './index';
export declare class OracleUi {
    static getNewTableColumns(): any[];
    static getNewColumn(suffix: any): {
        column_name: string;
        dt: string;
        dtx: string;
        ct: string;
        nrqd: boolean;
        rqd: boolean;
        ck: boolean;
        pk: boolean;
        un: boolean;
        ai: boolean;
        cdf: any;
        clen: number;
        np: any;
        ns: any;
        dtxp: string;
        dtxs: string;
        altered: number;
        uidt: string;
        uip: string;
        uicn: string;
    };
    static getDefaultLengthForDatatype(type: any): string;
    static getDefaultLengthIsDisabled(type: any): any;
    static getDefaultValueForDatatype(type: any): string;
    static getDefaultScaleForDatatype(type: any): any;
    static colPropAIDisabled(col: any, columns: any): boolean;
    static colPropUNDisabled(_col: any): boolean;
    static onCheckboxChangeAI(col: any): void;
    static showScale(_columnObj: any): boolean;
    static removeUnsigned(columns: any): void;
    static columnEditable(colObj: any): boolean;
    static extractFunctionName(query: any): any;
    static extractProcedureName(query: any): any;
    static splitQueries(query: any): any;
    static onCheckboxChangeAU(col: any): void;
    /**
     * if sql statement is SELECT - it limits to a number
     * @param args
     * @returns {string|*}
     */
    sanitiseQuery(args: any): any;
    getColumnsFromJson(json: any, tn: any): any[];
    static colPropAuDisabled(_col: any): boolean;
    static getAbstractType(col: any): any;
    static getUIType(col: any): any;
    static getDataTypeForUiType(col: {
        uidt: UITypes | NormalColumnRequestType['uidt'];
    }, idType?: IDType): any;
    static getUnsupportedFnList(): string[];
}
